Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1577496 - All quantum chemistry packages are broken under Fedora 28 (Quantum Espresso included)
Summary: All quantum chemistry packages are broken under Fedora 28 (Quantum Espresso i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quantum-espresso
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: marcindulak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 12:36 UTC by Henrique C. S. Junior
Modified: 2018-05-21 14:03 UTC (History)
1 user (show)

Fixed In Version: quantum-espresso-5.4.0-17.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 14:03:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Henrique C. S. Junior 2018-05-12 12:36:56 UTC
It is impossible to install Quantum Espresso in Fedora 28 using DNF. Is this a mass rebuild problem?

# dnf install quantum-espresso-*
Erro: 
 Problema 1: conflicting requests
  - nothing provides libgfortran.so.4()(64bit) needed by quantum-espresso-mpich-5.4.0-12.fc26.x86_64
 Problema 2: conflicting requests
  - nothing provides libgfortran.so.4()(64bit) needed by quantum-espresso-openmpi-5.4.0-12.fc26.x86_64


dnf whatprovides */libgfortran.so.4
(returns nothing)

But we do have:
dnf whatprovides /libgfortran.so.*

libgfortran-8.0.1-0.20.fc28.x86_64 : Fortran runtime
Repo        : fedora
Resultado a partir de:
Nome de arquivo    : /usr/lib64/libgfortran.so.5
Resultado a partir de:
Nome de arquivo    : /usr/lib64/libgfortran.so.5.0.0

Comment 2 Fedora Update System 2018-05-13 09:10:49 UTC
quantum-espresso-5.4.0-17.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a73331589a

Comment 3 Fedora Update System 2018-05-13 22:22:37 UTC
quantum-espresso-5.4.0-17.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a73331589a

Comment 4 Fedora Update System 2018-05-21 14:03:43 UTC
quantum-espresso-5.4.0-17.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.